section.level
Prev | Common » Base Template Reference | Next

## section.level

section.level — Returns the hierarchical level of a section

## Synopsis

    <xsl:template name="section.level">
    <xsl:param name="node" select="."/>
      ...
    </xsl:template>

##

This template calculates the hierarchical level of a section. The element `sect1` is at level 1, `sect2` is at level 2, etc.

Recursive sections are calculated down to the fifth level.

## Parameters

node

  The section node for which the level should be calculated. Defaults to the context node.

## Returns

The section level, “1”, “2”, etc.

Prev | Up | Next
is.section | Home | qanda.section.level